Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSNamedMap

All Known Implementing Classes:
  XSNamedMapImpl

Deprecated. The interface may be updated or replaced.

public interface XSNamedMap

Objects implementing the `XSNamedMap` interface are used to represent collections of XML Schema components that can be accessed by name. Note that `XSNamedMap` does not inherit from `XSObjectList`. The `XSOBject`s in `XSNamedMap`s are not maintained in any particular order.

Method Summary
`int` | `getLength()` Deprecated. The number of `XSObjects` in the `XSObjectList`.
`XSObject` | `item(int index)` Deprecated. Returns the `index`th item in the collection.
`XSObject` | `itemByName(java.lang.String namespace, java.lang.String localName)` Deprecated. Retrieves a node specified by local name and namespace URI.

Method Detail

### getLength

    public int getLength()

  Deprecated.
  The number of `XSObjects` in the `XSObjectList`. The range of valid child object indices is 0 to `mapLength-1` inclusive.

### item

    public XSObject item(int index)

  Deprecated.
  Returns the `index`th item in the collection. The index starts at 0. If `index` is greater than or equal to the number of objects in the list, this returns `null`.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `XSObject` at the `index`th position in the `XSObjectList`, or `null` if that is not a valid index.

### itemByName

    public XSObject itemByName(java.lang.String namespace,
                               java.lang.String localName)

  Deprecated.
  Retrieves a node specified by local name and namespace URI.
  Per , applications must use the value null as the `namespace` parameter for methods if they wish to have no namespace.
  Parameters:
    `namespace` - The namespace URI of the node to retrieve.
    `localName` - The local name of the node to retrieve.
  Returns:
    A `XSObject` (of any type) with the specified local name and namespace URI, or `null` if they do not identify any node in this map.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.